
package ejbay.account;

import java.rmi.RemoteException;
import java.rmi.Remote;
import javax.ejb.*;
import ejbay.exceptions.*;

public interface AccountRemote extends javax.ejb.EJBObject {
    public Integer AcctCreate(UserObj user) throws java.rmi.RemoteException, InvalidUserInfo, DuplicateAccount;
    public String AcctLogin(String emailAdd, String password) throws java.rmi.RemoteException, InvalidUserPass, InvalidUserInfo, ObjectNotFoundException;
    public void AcctUpdate(UserObj user, Integer sessionKey) throws java.rmi.RemoteException, InvalidUserInfo, UserNotLoggedIn;
    //public void AcctLogout(Integer sessionKey) throws java.rmi.RemoteException, UserNotLoggedIn;
    //public void AcctDelete(UserObj user) throws java.rmi.RemoteException, InvalidUserPass, InvalidUserInfo, UserNotLoggedIn;
    public UserObj AcctView(String emailAdd) throws java.rmi.RemoteException, InvalidUserInfo, UserNotLoggedIn;
    public UserObj AcctView(int userID) throws java.rmi.RemoteException, InvalidUserInfo, UserNotLoggedIn;
    public void isAlive() throws java.rmi.RemoteException;
}
