
package ejbay.auction;

import java.rmi.RemoteException;
import java.rmi.Remote;
import javax.ejb.*;
import ejbay.exceptions.*;

public interface AuctionRemote extends javax.ejb.EJBObject
{
    public AuctionObj AuctionPost (Integer sessionKey, AuctionObj aucObj, Integer aucLen, Integer TID) throws java.rmi.RemoteException, UserNotLoggedIn, InvalidAuction;
    public AuctionObj AuctionView (int auctionID) throws java.rmi.RemoteException, InvalidAuction;
    public AuctionObj[] AuctionSearch (String name) throws java.rmi.RemoteException, InvalidAuction;
    public void BidPost(Integer sessionKey, Integer auctionID, Double bid, Integer TID) throws java.rmi.RemoteException, InvalidAuction, InvalidBid, UserNotLoggedIn;
    public BidObj[] BidHistory(int auctionID) throws java.rmi.RemoteException, InvalidAuction;
    public void isAlive() throws java.rmi.RemoteException;
}
