package ejbay.util;

public class Time
{
    /**
     * Return the time that has elapsed since the
     * creation of this object.
     */
    public long getElapsedTime(){
	long d = getTime();

	return (d - start);
    }

    /**
     * Set the star time equal to the time
     * that this object was created
     */
    public Time(){
	start = getTime();
    }
    
    /**
     * Get the current time using JNI to call the
     * C getsystime() function, which has been
     * modified to return the time in microseconds
     */
    public native long getTime();
    static
    {
	System.loadLibrary("Time");
    }

    private long start; // Time this object was created
} 
